ChatString (Mule ESB 2.2.1 API)
Keywords: org.mule.example.hello.ChatString class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.hello
Class ChatString

    java.lang.Object
      org.mule.example.hello.ChatString

All Implemented Interfaces:
  Serializable

    public class ChatString

extends Object
implements Serializable

`ChatString` TODO (document class)

See Also:
  Serialized Form

Constructor Summary
`ChatString()`

Method Summary
`StringBuffer` | `append(String str)`
`StringBuffer` | `append(StringBuffer sb)`
`int` | `getSize()`
`StringBuffer` | `insert(int offset, char[] str)`
`StringBuffer` | `insert(int index, char[] str, int offset, int len)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChatString

    public ChatString()

Method Detail

### append

    public StringBuffer append(String str)

  Parameters:
    `str` -
  Returns:

### append

    public StringBuffer append(StringBuffer sb)

  Parameters:
    `sb` -
  Returns:

### insert

    public StringBuffer insert(int offset,
                               char[] str)

  Parameters:
    `offset` -
    `str` -
  Returns:

### insert

    public StringBuffer insert(int index,
                               char[] str,
                               int offset,
                               int len)

  Parameters:
    `index` -
    `str` -
    `offset` -
    `len` -
  Returns:

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getSize

    public int getSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.